ils/circulation/urls.py
from django.urls import path
from circulation import views
app_name = 'circulation'

urlpatterns = [
    path('', views.IndexView.as_view(), name='index'),
    path('issue/', views.IssueIndexView.as_view(), name='issue'),
    path('return/', views.ReturnIndexView.as_view(), name='return'),
]

ils/clms/urls.py
from django.urls import path
from clms import views
from django.conf.urls import url
app_name = 'clms'

urlpatterns = [
    path('', views.IndexView.as_view(), name='index'),
    path('catalogue/', views.CatalogueListView.as_view(), name='catalogue'),
    url(r'^catalogue/(?P<pk>\d+)/$', views.CatalogueDetailView.as_view(), name='cat_detail'),
    url(r'^catalogue/update/(?P<pk>\d+)/$', views.CatalogueUpdateView.as_view(), name='cat_update'),
    url(r'^catalogue/delete/(?P<pk>\d+)/$', views.CatalogueDeleteView.as_view(), name='cat_delete'),
    path('catalogue/add/', views.CatalogueCreateView.as_view(), name='cat_create'),
    path('broadcast/', views.BroadcastListView.as_view(), name='broadcast'),
    path('broadcast/add/', views.BroadcastCreateView.as_view(), name='broadcast_create'),
    url(r'^broadcast/update/(?P<pk>\d+)/$', views.BroadcastUpdateView.as_view(), name='broadcast_update'),
    url(r'^broadcast/delete/(?P<pk>\d+)/$', views.BroadcastDeleteView.as_view(), name='broadcast_delete'),
]

ils/ils/urls.py
from django.contrib import admin
from django.urls import path, include
from library import views
from django.conf.urls import url

urlpatterns = [
    path('', views.IndexView.as_view(), name='index'),
    path('admin/', admin.site.urls),
    path('clms/', include('clms.urls')),
    path('circulation/', include('circulation.urls')),
    path('library/', include('library.urls')),
    url(r'^', include('favicon.urls')),
]

ils/library/urls.py
from django.urls import path
from library import views
app_name = 'library'
urlpatterns = [
    path('', views.IndexView.as_view(), name='index'),
]

ils/circulation/models.py
from django.db import models
from django.utils import timezone
from django.urls import reverse
from clms.models import Catalogue
# Create your models here.

class Issued(models.Model):
    # title = models.ForeignKey('clms.Catalogue')
    # issue_date = models.DateTimeField(default=timezone.now())
    due_date = models.DateTimeField()
    return_date = models.DateTimeField(blank=True, null=True)

    def publish(self):
        self.return_date = timezone.now()
        self.save()

    def __str__(self):
        return self.title

ils/clms/models.py
from django.db import models
from django.utils import timezone
from django.urls import reverse
# Create your models here.

class Item_type(models.Model):
    name = models.CharField(max_length=32)

    def __str__(self):
        return self.name

class Item_category(models.Model):
    name = models.CharField(max_length=32)

    def __str__(self):
        return self.name

class Catalogue(models.Model):
    type = models.ForeignKey(Item_type, on_delete=models.CASCADE)
    category = models.ForeignKey(Item_category, on_delete=models.CASCADE)
    author = models.CharField(max_length=200)
    title = models.CharField(max_length=200)
    edition = models.CharField(max_length=32)
    publisher = models.CharField(max_length=200)
    publish_date = models.DateTimeField(blank=True,null=True)
    is_available = models.BooleanField(default=True)

    def __str__(self):
        return self.title

class Broadcast(models.Model):
    subject = models.CharField(max_length=200)
    text = models.TextField()
    create_date = models.DateTimeField(auto_now_add=True)

    def __str__(self):
        return self.subject

ils/library/models.py
from django.db import models

# Create your models here.

ils/circulation/views.py
# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.shortcuts import render
from django.views.generic import CreateView, UpdateView, DeleteView, View, TemplateView, ListView, DetailView
from django.urls import reverse_lazy
# Create your views here.

usertype = "patron"

if usertype == "admin":
    issue = "Issue Book"
else:
    issue = "Borrow Book"


class IndexView(TemplateView):
    template_name = 'circulation/circulation.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['title'] = "Caleb University's Library"
        context['issue'] = issue
        context['return'] = "Return Book"
        return context

class IssueIndexView(TemplateView):
    template_name = 'circulation/issue.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['title'] = "Caleb University's Library"
        context['issue'] = issue
        context['return'] = "Return Book"
        context['circulate'] = issue
        return context

class ReturnIndexView(TemplateView):
    template_name = 'circulation/return.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['title'] = "Caleb University's Library"
        context['issue'] = issue
        context['return'] = "Return Book"
        context['circulate'] = "Return Book"
        return context

ils/clms/views.py
# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.shortcuts import render
from django.views.generic import CreateView, UpdateView, DeleteView, View, TemplateView, ListView, DetailView
from django.urls import reverse_lazy
from .models import Catalogue, Broadcast

# Create your views here.

class CatalogueListView(ListView):
    model = Catalogue
    context_object_name = 'catalogues'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['title'] = "Caleb University's Library Management System"
        return context

class CatalogueDetailView(DetailView):
    context_object_name = 'catalogue_detail'
    model = Catalogue
    template_name = 'clms/catalogue_detail.html'

class CatalogueCreateView(CreateView):
    model = Catalogue
    fields = ('type', 'category', 'title', 'author', 'publisher', 'edition', 'publish_date')
    success_url = reverse_lazy('clms:catalogue')

class CatalogueUpdateView(UpdateView):
    model = Catalogue
    fields = ('type', 'category', 'title', 'author', 'publisher', 'edition', 'publish_date')
    success_url = reverse_lazy('clms:catalogue')


class CatalogueDeleteView(DeleteView):
    model = Catalogue
    success_url = reverse_lazy('clms:catalogue')

class IndexView(TemplateView):
    # Just set this Class Object Attribute to the template page.
    # template_name = 'app_name/site.html'
    template_name = 'clms/clms.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['title'] = "Caleb University's Library Management System"
        return context


class BroadcastListView(ListView):
    model = Broadcast
    context_object_name = 'broadcasts'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['title'] = "Caleb University's Library Management System"
        return context

class BroadcastCreateView(CreateView):
    model = Broadcast
    fields = ('subject', 'text')
    success_url = reverse_lazy('clms:broadcast')


class BroadcastUpdateView(UpdateView):
    model = Broadcast
    fields = ('subject', 'text')
    success_url = reverse_lazy('clms:broadcast')


class BroadcastDeleteView(DeleteView):
    model = Broadcast
    success_url = reverse_lazy('clms:broadcast')

ils/ils/views.py
from django.views.generic import TemplateView

ils/library/views.py
# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.shortcuts import render
from django.views.generic import CreateView, UpdateView, DeleteView, View, TemplateView, ListView, DetailView
from clms.models import Broadcast
# Create your views here.


class IndexView(ListView):
    model = Broadcast
    context_object_name = 'broadcasts'
    template_name = 'library/library.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['title'] = "Caleb University's Library"
        return context

ils/circulation/templates/circulation/circulation.html
{% extends "circulation/circulation_base.html" %}
{% load staticfiles %}
{% block style %}<link rel="stylesheet" href={% static 'css/style.css'%}>{% endblock %}
{% block title %}{{title}}{% endblock %}
{% block content %}
<section class="dashboard">
<div class="row">
    <div class="col-lg" >
        <span class="action">{{issue}}</span>
        <button class="btn_img"><a href="{% url 'circulation:return' %}"><img src="{% static 'images/circulation.png' %}" alt="Book circulation" /></a></button>
        
    </div>
    <div class="col-lg" >
        <span class="action">{{return}}</span>
        <button class="btn_img"><a href="{% url 'circulation:return' %}"><img src="{% static 'images/book.png' %}" alt="Book circulation" /></a></button>
    </div>  
</div>
</section>
{% endblock %}
{% block footer %}
{% endblock %}

ils/circulation/templates/circulation/circulation_base.html
<!doctype html>
{% load staticfiles %}
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">       

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href={% static 'css/bootstrap.min.css'%}>    
    {% block style %}{% endblock %}    
    <title>{% block title %}{% endblock %}</title>
  </head>
  <body>
  <header></header>
  <nav class="navbar navbar-expand-sm navbar-dark bg-primary">
  <div class="container">
      <a class="navbar-brand" href="{% url 'circulation:index' %}">Library Circulation System</a>
      <button class="navbar-toggler" data-toggle="collapse" data-target="#navbarNav"><span class="navbar-toggler-icon"></span></button>
      <div class="collapse navbar-collapse" id="navbarNav">
          <ul class="navbar-nav">
              {% comment %} {% if is_staff %} {% endcomment %}
              <li class="nav-item">
                  <a class="nav-link" href="{% url 'clms:index' %}">CLMS</a>
              </li>
              {% comment %} {% endif %} {% endcomment %}
              <li class="nav-item">
                  <a class="nav-link" href="{% url 'circulation:issue' %}">{{issue}}</a>
              </li>
              <li class="nav-item">
                  <a class="nav-link" href="{% url 'circulation:return' %}">{{return}}</a>
              </li>
          </ul>
      </div>
  </div>
  </nav>
{% block content %}
{% endblock %}
</section>
    <footer>
    <div class="row">
        <div class="p-1  col-lg" ><p>&copy; Caleb University || Library</p></div>
                
        {% comment %} Checks to see if superadmin is logged in {% endcomment %}
        {% if superadmin %}
            <div class="p-1  col-lg"><button class="btn btn-success btn_green" type="button">Manage Admin</button></div>
        {% endif %}

        <div class="p-1  col-lg"><button class="btn btn-danger" type="button">Logout</button></div>
    </div> 
    {% block footer %}
    {% endblock %}
    </footer>  
    <script src="{% static 'js/jquery-3.3.1.min.js'%}"></script>
    <script src="{% static 'js/popper.min.js'%}"></script>
    <script src="{% static 'js/bootstrap.min.js'%}"></script>
  </body>
</html>

ils/circulation/templates/circulation/issue.html
{% extends "circulation/circulation_base.html" %}
{% load staticfiles %}
{% block style %}<link rel="stylesheet" href={% static 'css/style.css'%}>{% endblock %}
{% block title %}{{title}}{% endblock %}
{% block content %}
<section class="dashboard">
<div><h4 class="text-center m-3">{{circulate}}</h4></div>
<!-- Actual form to borrow or return -->
<form class="m-4" method="GET">
    
    <div class="collapse" id="collapse-btn">
    <div class="input-group">
      <input type="text" id="name" class="form-control" placeholder="Patron ID...">
        <input type="text" class="form-control" placeholder="Book ID...">
        <span class="input-group-btn">
            <button class="btn btn-primary" type="button" data-toggle="modal" data-target="#loginModal">Search</button>
        </span>
    </div>
    </div>
</form>

<div class="btn-group d-flex m-4">
    <button class="btn btn-primary d-block" data-toggle="collapse" data-target="#collapse-btn">Enter book ID</button>
    <button class="btn btn-success d-block" type="button" data-toggle="modal" data-target="#loginModal">Scan book</button>
</div>
</div>
 <!-- LOGIN MODAL -->
<div class="modal" id="loginModal">
    <div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
        <h5 class="modal-title">{{circulate}}</h5>
        <button class="close" data-dismiss="modal">&times;</button>
        </div>
        <!--Displays Borrow details after book is scaned-->
        <div class="modal-body">
        <form>
            <div class="form-group">
            <label for="username">Patron name</label>
            <input type="text" placeholder="Patron name" class="form-control">
            </div>
            <div class="form-group">
            <label for="password">Book name</label>
            <input type="text" placeholder="Book name" class="form-control">
            </div>
        </form>
        </div>
        <div class="modal-footer">
        <button class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button class="btn btn-primary" data-dismiss="modal">{{circulate}}</button>
        </div>
    </div>
    </div>
</div>
{% endblock %}
{% block footer %}
{% endblock %}

ils/circulation/templates/circulation/return.html
{% extends "circulation/circulation_base.html" %}
{% load staticfiles %}
{% block style %}<link rel="stylesheet" href={% static 'css/style.css'%}>{% endblock %}
{% block title %}{{title}}{% endblock %}
{% block content %}
<section class="dashboard">
<div><h4 class="text-center m-3">{{circulate}}</h4></div>
<!-- Actual form to borrow or return -->
<form class="m-4" method="GET">
    
    <div class="collapse" id="collapse-btn">
    <div class="input-group">
      <input type="text" id="name" class="form-control" placeholder="Patron ID...">
        <input type="text" class="form-control" placeholder="Book ID...">
        <span class="input-group-btn">
            <button class="btn btn-primary" type="button" data-toggle="modal" data-target="#loginModal">Search</button>
        </span>
    </div>
    </div>
</form>

<div class="btn-group d-flex m-4">
    <button class="btn btn-primary d-block" data-toggle="collapse" data-target="#collapse-btn">Enter book ID</button>
    <button class="btn btn-success d-block" type="button" data-toggle="modal" data-target="#loginModal">Scan book</button>
</div>
</div>
 <!-- LOGIN MODAL -->
<div class="modal" id="loginModal">
    <div class="modal-dialog">
    <div class="modal-content">
        <div class="modal-header">
        <h5 class="modal-title">{{circulate}}</h5>
        <button class="close" data-dismiss="modal">&times;</button>
        </div>
        <!--Displays Borrow details after book is scaned-->
        <div class="modal-body">
        <form>
            <div class="form-group">
            <label for="username">Patron name</label>
            <input type="text" placeholder="Patron name" class="form-control">
            </div>
            <div class="form-group">
            <label for="password">Book name</label>
            <input type="text" placeholder="Book name" class="form-control">
            </div>
        </form>
        </div>
        <div class="modal-footer">
        <button class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button class="btn btn-primary" data-dismiss="modal">{{circulate}}</button>
        </div>
    </div>
    </div>
</div>
{% endblock %}
{% block footer %}
{% endblock %}

ils/clms/templates/clms/broadcast_confirm_delete.html
{% extends "clms/clms_base.html" %}
{% load staticfiles %}
{% block style %}<link rel="stylesheet" href={% static 'css/style.css'%}>{% endblock %}
{% block title %}{{title}}{% endblock %}
{% block content %}
<h4 class="text-center m-3">Delete?</h4>
<div class="text-center m-3">
<form method="post">
    {% csrf_token %}
    <input type="submit" class="btn btn-danger" value="Delete">
    <a href="{% url 'clms:broadcast' %}" class="btn btn-primary">Cancel</a>
</form>
</div>
{% endblock %}
{% block footer %}
{% endblock %}

ils/clms/templates/clms/broadcast_form.html
{% extends "clms/clms_base.html" %}
{% load staticfiles %}
{% load crispy_forms_tags %}
{% block style %}<link rel="stylesheet" href={% static 'css/style.css'%}>{% endblock %}
{% block title %}{{title}}{% endblock %}
{% block content %}

<h1>
    {% if not form.instance.pk%}
    New Broadcast
    {% else %}
    Edit Broadcast
    {% endif %}
</h1>
<div class="container">
<form method="POST">
    {% csrf_token %}
    {{ form|crispy }}
    <input class="btn btn-success btn-block mb-3" type="submit" value="Submit">
</form>
</div>

{% endblock %}
{% block footer %}
{% endblock %}

ils/clms/templates/clms/broadcast_list.html
{% extends "clms/clms_base.html" %}
{% load staticfiles %}
{% block style %}<link rel="stylesheet" href={% static 'css/style.css'%}>{% endblock %}
{% block title %}{{title}}{% endblock %}
{% block content %}

<div class="card mb-3 mt-3">
    <div class="card-header">
        Broadcast Messages || <a href="{% url 'clms:broadcast_create'%}" >Add New</a>
    </div>    
    <div class="card-body">
        {% for broadcast in broadcasts %}
        <h4 class="card-title">{{broadcast.subject|title}}</h4>
        <p class="card-text">{{broadcast.text}}</p>
        <p class="card-text">{{broadcast.create_date}}</p>
        <a href="update/{{broadcast.id}}" class="btn btn-primary">Update</a>
        <a href="delete/{{broadcast.id}}" class="btn btn-danger">Delete</a><hr />
        {% endfor %}
    </div>
    
</div>
{% endblock %}
{% block footer %}
{% endblock %}

ils/clms/templates/clms/catalogue_confirm_delete.html
{% extends "clms/clms_base.html" %}
{% load staticfiles %}
{% block style %}<link rel="stylesheet" href={% static 'css/style.css'%}>{% endblock %}
{% block title %}{{title}}{% endblock %}
{% block content %}
<h4 class="text-center m-3">Delete{{catalogue_detail.title}}?</h4>
<div class="text-center m-3">
<form method="post">
    {% csrf_token %}
    <input type="submit" class="btn btn-danger" value="Delete">
    <a href="{% url 'clms:cat_detail' pk=catalogue.pk%} " class="btn btn-primary">Cancel</a>
</form>
</div>
{% endblock %}
{% block footer %}
{% endblock %}

ils/clms/templates/clms/catalogue_detail.html
{% extends "clms/clms_base.html" %}
{% load staticfiles %}
{% block style %}<link rel="stylesheet" href={% static 'css/style.css'%}>{% endblock %}
{% block title %}{{title}}{% endblock %}
{% block content %}
    
<div class="card text-dark bg-light mb-3 mt-3">
    <div class="card-header">Catalogue Details:</div>
    <div class="card-body">
        <h4 class="card-title">{{catalogue_detail.title}}</h4>
        <hr />
        <p>Type: {{catalogue_detail.type}}</p>
        <p>Category: {{catalogue_detail.category}}</p>
        <p>Title: {{catalogue_detail.title}}</p>
        <p>Author: {{catalogue_detail.author}}</p>
        <p>Publisher: {{catalogue_detail.publisher}}</p>
        <p>Edition: {{catalogue_detail.edition}}</p>
        <p>Date Published: {{catalogue_detail.publish_date}}</p>
        <p>Available: {{catalogue_detail.is_available}}</p>
        <a class="btn btn-primary" href="{% url 'clms:cat_update' pk=catalogue_detail.pk %}">Update</a>
        <a class="btn btn-danger" href="{% url 'clms:cat_delete' pk=catalogue_detail.pk %}">Delete</a>
    </div>
</div>
{% endblock %}
{% block footer %}
{% endblock %}

ils/clms/templates/clms/catalogue_form.html
{% extends "clms/clms_base.html" %}
{% load staticfiles %}
{% load crispy_forms_tags %}
{% block style %}<link rel="stylesheet" href={% static 'css/style.css'%}>{% endblock %}
{% block title %}{{title}}{% endblock %}
{% block content %}

<h1>
    {% if not form.instance.pk%}
    Add to Catalogue
    {% else %}
    Update Catalogue
    {% endif %}
</h1>
<div class="container">
<form method="POST">
    {% csrf_token %}
    {{ form|crispy }}
    <input class="btn btn-success btn-block mb-3" type="submit" value="Submit">
</form>
</div>

{% endblock %}
{% block footer %}
{% endblock %}

ils/clms/templates/clms/catalogue_list.html
{% extends "clms/clms_base.html" %}
{% load staticfiles %}
{% block style %}<link rel="stylesheet" href={% static 'css/style.css'%}>{% endblock %}
{% block title %}{{title}}{% endblock %}
{% block content %}
<div><h4 class="text-center m-3">Catalogue Record || <a href="{% url 'clms:cat_create' %}" >Add New</a></h4> </div>
<table class="table table-striped">
    <thead>
        <tr>
            <th>Title</th>
            <th>Author</th>
            <th>Available</th>
        </tr>
    </thead>
    {% for catalogue in catalogues %}
    <tbody>
        <tr>
            <td><a href="{{catalogue.id}}">{{catalogue.title}}</a></td>
            <td>{{catalogue.author}}</td>
            <td>{{catalogue.is_available}}</td>
        </tr>                
    </tbody>
    {% endfor %}
</table>

{% endblock %}
{% block footer %}
{% endblock %}

ils/clms/templates/clms/clms.html
{% extends "clms/clms_base.html" %}
{% load staticfiles %}
{% block style %}<link rel="stylesheet" href={% static 'css/style.css'%}>{% endblock %}
{% block title %}{{title}}{% endblock %}

{% block content %}

<section class="dashboard">

    <div class="row">
        <div class="col-lg" >
            <span class="action">Circulation</span>
            <a href="{% url 'circulation:index' %}"><button class="btn_img"><img src="{% static 'images/circulation.png' %}" alt="Book circulation" /></button></a>
        </div>
        <div class="col-lg" >
            <span class="action">Catalogue</span>
            <a href="{% url 'clms:catalogue' %}"><button class="btn_img"><img src="{% static 'images/book.png' %}" alt="Catalogue" /></button></a>
        </div>
        <div class="col-lg" >
            <span class="action">Patrons</span>
            <button class="btn_img"><img src="{% static 'images/student.png'  %}" alt="Patron Management" /></button>            
        </div>
    </div>
    <div class="row">
        <div class="col-lg" >
            <span class="action">Reports</span>
            <button class="btn_img"><img src="{% static 'images/report.png' %}" alt="Reports" /></button>            
        </div>
        <div class="col-lg" >
            <span class="action">Settings</span>
            <button class="btn_img"><img src="{% static 'images/settings.png' %}" alt="Settings" /></button>            
        </div> 
        <div class="col-lg" >
            <span class="action">Broadcast</span>
            <a href="{% url 'clms:broadcast' %}"><button class="btn_img"><img src="{% static 'images/broadcast.png'  %}" alt="Broadcast Alerts" /></button></a>
        </div>
    </div>

</section>
{% endblock %}

{% block footer %}
   
{% endblock %}

ils/clms/templates/clms/clms_base.html
<!doctype html>
{% load staticfiles %}
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">       

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href={% static 'css/bootstrap.min.css'%}>    
    {% block style %}{% endblock %}    
    <title>{% block title %}{% endblock %}</title>
</head>
<body>
    <header></header>
    <nav class="navbar navbar-expand-sm navbar-dark bg-primary">
        <div class="container">
            <a class="navbar-brand" href="{% url 'clms:index'%}">Library Management System</a>
            <button class="navbar-toggler" data-toggle="collapse" data-target="#navbarNav"><span class="navbar-toggler-icon"></span></button>
            <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'circulation:index'%}">Circulation</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'clms:catalogue'%}">Catalogue</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Patrons</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Reports</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'clms:broadcast'%}">Broadcast</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Settings</a>
                </li>
            </ul>
            </div>
        </div>
    </nav>
    {% block content %}{% endblock %}
    <footer>     
        <div class="row">
        <div class="p-1  col-lg" ><p>&copy; Caleb University || Library</p></div>
        <div class="p-1  col-lg"><button id="myBtn" onclick="document.getElementById('account').style.display='block'" class="btn btn-success btn_green" type="button">Account Settings</button></div>        
        {% comment %} Checks to see if superadmin is logged in {% endcomment %}
        {% if superadmin %}
        <div class="p-1  col-lg"><button class="btn btn-success btn_green" type="button">Manage Admin</button></div>
        {% endif %}

        <div class="p-1  col-lg"><button class="btn btn-danger" type="button">Logout</button></div>
        </div> 
        {% block footer %}{% endblock %} 
    </footer>  
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="{% static 'js/jquery-3.3.1.min.js'%}"></script>
    <script src="{% static 'js/popper.min.js'%}"></script>
    <script src="{% static 'js/bootstrap.min.js'%}"></script>
</body>
</html>

ils/library/templates/library/library_base.html
<!doctype html>
{% load staticfiles %}
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">       

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href={% static 'css/bootstrap.min.css'%}>    
    {% block style %}{% endblock %}    
    <title>{% block title %}{% endblock %}</title>
  </head>
  <body>
  <header></header>
      <nav class="navbar navbar-expand-sm navbar-dark bg-primary mb-3">
    <div class="container">
        <a class="navbar-brand" href="{% url 'library:index'%}">Caleb University Library</a>
        <button class="navbar-toggler" data-toggle="collapse" data-target="#navbarNav"><span class="navbar-toggler-icon"></span></button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'library:index'%}">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">OPAC</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="#">Reports</a>
                </li class="nav-item">
                <li class="nav-item">
                    <a class="nav-link" href="#">Account</a>
                </li>
            </ul>
        </div>
    </div>
    </nav>
    {% block content %}{% endblock %}

    
    {% block footer %}{% endblock %}     

    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="{% static 'js/jquery-3.3.1.min.js'%}"></script>
    <script src="{% static 'js/popper.min.js'%}"></script>
    <script src="{% static 'js/bootstrap.min.js'%}"></script>
  </body>
</html>